export function createEvent(eventName, payload, eventDetail) {
  return new CustomEvent(eventName, {
    detail: {
      payload,
      resolve: eventDetail.resolve,
      reject: eventDetail.reject,
    },
  });
}